> ## Documentation Index
> Fetch the complete documentation index at: https://exsited.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a purchase order's KPIs

> Returns the KPI figures of one purchase order under `purchase_order_kpis`.

Returns the purchase order's KPIs, such as `total_purchase_invoice`, `total_outstanding` and `total_overdue`, under `purchase_order_kpis`. The same figures come with the purchase order as `kpis`.

> [!NOTE]
>
> The SDK samples get their client from credentials your app registers once when it starts, as shown in [Authentication](https://exsited.mintlify.site/authentication.md#set-up-a-client). To try the call here, click **Try it**, set `host` to your Exsited API host name and paste an access token from [Get an access token](https://exsited.mintlify.site/api-reference/authentication/get-an-access-token.md).


## OpenAPI

````yaml GET /purchase_orders/{purchase_order_id}/kpis
openapi: 3.1.0
info:
  title: Exsited API
  version: v4
servers:
  - url: https://{host}/api/v4
    variables:
      host:
        default: your-api-host.example.com
        description: Your Exsited API host name, without https://.
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Account emails
  - name: Account groups
  - name: Communications
  - name: Communication profiles
  - name: Orders
  - name: Quote orders
  - name: Express
  - name: Usages
  - name: Sales reps
  - name: Gift certificates
  - name: Invoices
  - name: Pro-forma invoices
  - name: Payments
  - name: Refunds
  - name: Credit notes
  - name: Credit note applications
  - name: Reconciliations
  - name: Items
  - name: Inventory adjustments
  - name: Units of measurement
  - name: Zones
  - name: Shipping packages
  - name: Shipping rules
  - name: Fulfillment profiles
  - name: Fulfillment terms
  - name: Item fulfillments
  - name: Item receipts
  - name: Bookings
  - name: Rental assets
  - name: Return merchandise authorisations
  - name: Purchase orders
  - name: Purchase invoices
  - name: Purchase payments
  - name: Purchase refunds
  - name: Purchase credit notes
  - name: Purchase credit note applications
  - name: Purchase express
  - name: Return vendor authorizations
  - name: ABA files
  - name: Receive terms
  - name: Labours
  - name: Tasks
  - name: Timesheets
  - name: Milestones
  - name: Employees
  - name: Departments
  - name: Designations
  - name: Teams
  - name: Time periods
  - name: Workflows
  - name: Workflow settings
  - name: Events
  - name: Custom events
  - name: System events
  - name: Approvals
  - name: Approval profiles
  - name: Approval user groups
  - name: Alerts
  - name: Alert responsibility settings
  - name: Alert responsibilities
  - name: Action scripts
  - name: Note groups
  - name: Note attachments
  - name: Instance settings
  - name: Accounting codes
  - name: Additional codes
  - name: Billing periods
  - name: Charging periods
  - name: Pricing periods
  - name: Invoice terms
  - name: Days of the month
  - name: Countries
  - name: Salutations
  - name: Document templates
  - name: Email templates
  - name: Roles
  - name: Operators
  - name: Operator groups
  - name: User settings
  - name: Custom attributes
  - name: Custom components
  - name: Custom features
  - name: Custom fields
  - name: Custom forms
  - name: Attribute attachments
  - name: Portal
  - name: Integration connections
  - name: External databases
  - name: Reports
  - name: Applications
  - name: Organisation
  - name: Child organisations
  - name: Webhooks
paths:
  /purchase_orders/{purchase_order_id}/kpis:
    get:
      tags:
        - Purchase orders
      summary: Retrieve a purchase order's KPIs
      description: >-
        Returns the purchase order's KPIs, such as `total_purchase_invoice`,
        `total_outstanding` and `total_overdue`, under `purchase_order_kpis`.
        The same figures come with the purchase order as `kpis`.
      operationId: purchase_orders_get_purchase_order_kpis
      parameters:
        - name: purchase_order_id
          in: path
          required: true
          description: The purchase order's `id`.
          schema:
            type: string
      responses:
        '200':
          description: The KPIs, under `purchase_order_kpis`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseOrderKpisResponse'
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >-
            curl -X GET
            "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/kpis" \
              -H "Authorization: Bearer $ACCESS_TOKEN"
        - lang: python
          label: Python
          source: >
            from exsited import build_client


            client = build_client()


            response =
            client.purchase_orders.get_purchase_order_kpis("PURCHASE_ORDER_ID")

            print(response.data)
        - lang: javascript
          label: JavaScript
          source: >
            import {buildClient} from 'exsited';


            const client = await buildClient();


            const response = await
            client.purchaseOrders.getPurchaseOrderKpis('PURCHASE_ORDER_ID');

            console.log(response.data);
        - lang: php
          label: PHP
          source: >
            use Exsited\Client\ClientRegistry;


            $client = ClientRegistry::buildClient();


            $response =
            $client->purchaseOrders->getPurchaseOrderKpis('PURCHASE_ORDER_ID');

            print_r($response->data);
        - lang: java
          label: Java
          source: >
            import com.exsited.client.ApiResponse;

            import com.exsited.client.ClientRegistry;

            import com.exsited.client.ExsitedClient;

            import
            com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderKpis;


            ExsitedClient client = ClientRegistry.buildClient();


            ApiResponse<PurchaseOrderKpis> response =
            client.purchaseOrders().getPurchaseOrderKpis("PURCHASE_ORDER_ID");

            System.out.println(response.getMap());
        - lang: csharp
          label: .NET
          source: >
            using Exsited.Client;


            await using var client = ExsitedClient.BuildClient();


            var response = await
            client.PurchaseOrders.GetPurchaseOrderKpisAsync("PURCHASE_ORDER_ID");


            Console.WriteLine(response.Json);
        - lang: dart
          label: Dart
          source: |
            import 'package:exsited/exsited.dart';

            final client = buildClient();

            final response = await client.purchaseOrders.getPurchaseOrderKpis(
              'PURCHASE_ORDER_ID',
            );
            print(response.map);
        - lang: go
          label: Go
          source: "import (\n\t\"context\"\n\t\"fmt\"\n\t\"log\"\n\n\texsited \"github.com/exsited/exsited-sdk-go/v4\"\n)\n\nclient, err := exsited.BuildClient(nil)\nif err != nil {\n\tlog.Fatal(err)\n}\ndefer client.Close()\n\nresponse, err := client.PurchaseOrders().GetPurchaseOrderKPIs(context.Background(), \"PURCHASE_ORDER_ID\", nil)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Println(response.Map)\n"
components:
  schemas:
    PurchaseOrderKpisResponse:
      type: object
      properties:
        purchase_order_kpis:
          $ref: '#/components/schemas/PurchaseOrderKpis'
    PurchaseOrderKpis:
      type: object
      properties:
        estimated_total:
          type: string
        issue_date: {}
        last_cancelled_on: {}
        last_changed_on: {}
        last_deleted_on: {}
        last_invoice_issue_date: {}
        last_invoice_total:
          type: string
        last_reactivated_on: {}
        object:
          type: string
        total_expense:
          type: string
        total_outstanding:
          type: string
        total_overdue:
          type: string
        total_purchase_invoice:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        An access token from `POST /api/v4/oauth2/token`. The SDKs get and renew
        it for you.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.